## base-installer 1.13.4sarge3

=== Makefile ===
BIN = run-debootstrap
CFLAGS = -Wall -g -D_GNU_SOURCE

ifdef DEBUG
CFLAGS:=$(CFLAGS) -g3
endif

$(BIN): run-debootstrap.c
	$(CC) $(CFLAGS) -o $@ $^ -ldebconfclient -ldebian-installer

small: CFLAGS:=-Os $(CFLAGS)
small: clean $(BIN)
	strip --remove-section=.comment --remove-section=.note $(BIN)
	ls -l $(BIN)

clean:
	-rm -f $(BIN)

## base-installer 0.087ubuntu13

=== debian/changelog ===
base-installer (0.087ubuntu13) warty; urgency=low

  * Updated translations:
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Martin Pitt
    - Greek (el.po) by Logiotatidis George
    - French (fr.po) by VETSEL Patrice

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 12:43:32 +0100

base-installer (0.087ubuntu12) warty; urgency=low

  * Install kernel metapackages from the linux-meta source package (closes:
    Ubuntu #2136).
  * Remove install_restricted_modules, no longer necessary due to the above.
  * Fix syntax error in install_base_system.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 12:26:26 +0100

base-installer (0.087ubuntu11) warty; urgency=low

  * Fix sed syntax error while fiddling with mkinitrd.conf.
  * Clarify and expand base-installer/debootstrap/error/couldntdl text
    (closes: Warty #1350).

 -- Colin Watson <cjwatson@canonical.com>  Mon, 20 Sep 2004 15:21:07 +0100

base-installer (0.087ubuntu10) warty; urgency=low

  * Properly comma-separate component list to fix non-CD installs (closes:
    Warty #1224).

 -- Colin Watson <cjwatson@canonical.com>  Tue, 14 Sep 2004 20:22:17 +0100

base-installer (0.087ubuntu9) warty; urgency=low

  * Try to install an appropriate linux-restricted-modules package (closes:
    Warty #1210).

 -- Colin Watson <cjwatson@canonical.com>  Tue, 14 Sep 2004 15:19:01 +0100

base-installer (0.087ubuntu8) warty; urgency=low

  * Add base-installer/debootstrap/info/unpackbase and
    base-installer/debootstrap/info/confbase templates, to get rid of ugly
    things like "Configuring required packages: Unpacking the base
    system...".

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 22:49:49 +0100

base-installer (0.087ubuntu7) warty; urgency=low

  * Fix kernel_update_list not to fail if there are no kernel-image
    packages.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Sep 2004 13:06:12 +0100

base-installer (0.087ubuntu6) warty; urgency=low

  * Move powerpc to linux-image-*. Simplify, given that the only
    linux-image-* kernels for powerpc have no subarchitecture stuff in their
    names, only CPU families.
  * Add amd64 kernel selection support.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  7 Sep 2004 02:22:12 +0100

base-installer (0.087ubuntu5) warty; urgency=low

  * Support linux-image-* kernel packages as well as kernel-image-*.
  * Fix i386 kernel selection; 586tsc and k6 kernels no longer exist (Debian
    bug #257411).
  * Move i386 to linux-image-* (Ubuntu-only, won't work with Debian).

 -- Colin Watson <cjwatson@canonical.com>  Mon,  6 Sep 2004 12:38:08 +0100

base-installer (0.087ubuntu4) warty; urgency=low

  * Colin Watson
    - Adapt waypoints and templates for new, more granular debootstrap.
    - Guard against overlong progress bars.

 -- Colin Watson <cjwatson@flatline.org.uk>  Fri, 20 Aug 2004 15:41:13 +0100

base-installer (0.087ubuntu3) warty; urgency=low

  * Colin Watson
    - Fixed Lithuanian translation of "Ubuntu", per Steve Alexander.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 16 Aug 2004 17:07:33 +0100

base-installer (0.087ubuntu2) warty; urgency=low

  * Tollef Fog Heen
    - Ubuntu branding.
  * Colin Watson
    - Unfuzzy and/or update most translations.
    - Get the location of the CD-ROM archive from a debconf question rather
      than just using /cdrom; this is a little hacky, but provides a hook
      for archive-copier.

 -- Colin Watson <cjwatson@flatline.org.uk>  Thu, 12 Aug 2004 17:16:27 +0100

base-installer (0.087ubuntu1) warty; urgency=low

  * Create ubd devices in create_devices() if installing under UML

 -- Matt Zimmerman <mdz@debian.org>  Thu,  8 Jul 2004 11:28:32 -0700

base-installer (0.087) unstable; urgency=low

  * Otavio Salvador
    - Add hook to be called before debootstrap is run.
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek (el.po) by George Papamichelakis
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Otavio Salvador <otavio@debian.org>  Fri, 25 Jun 2004 10:51:31 -0300

base-installer (0.086) unstable; urgency=low

  * Martin Michlmayr
    - Only install LVM and create LVM device nodes when the device
      mapper module is loaded.
    - "vgscan --mknodes" can return 5 under some circumstances, so
      use || true in order not to error out.
  * Updated translations:
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Turkish (tr.po) by Osman Yüksel

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 21 Jun 2004 14:28:06 +0100

base-installer (0.085) unstable; urgency=low

  * Martin Michlmayr
    - Create LVM devices before installing the kernel, otherwise mkinitrd
      will fail if the root device is on LVM (closes: #232827, #237466,
      #247051, #247213, #245546, #249311).
    - Install mdadm before installing the kernel otherwise mkinitrd will
      fail (closes: #247819, #250820, #253843).
  * Updated translations:
    - Catalan (ca.po) by Jordi Mallach
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Romanian (ro.po) by Eddy Petrisor


=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev

Package: base-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, debootstrap-udeb, created-fstab, archdetect, di-utils-mapdevfs
Provides: kernel-installer
XB-Installer-Menu-Item: 65
Description: Install the base system
 This udeb is responsible for calling debootstrap and installing the
 base system.

## base-installer 1.13.4sarge2

=== debian/changelog ===
base-installer (1.13.4sarge2) stable; urgency=high

  * For the kernel ABI change in Sarge 3.1r3 we should also have updated the
    default values for debian-installer/kernel/image* in rootskel. Because
    this was missed, incorrect kernels are now being selected on some
    architectures. Correcting this in rootskel would mean rebuilding D-I,
    which we'd like to avoid. As an alternative solution we correct the
    default in base-installer after reading it. Closes: #412909.
  * Add myself to uploaders.

 -- Frans Pop <fjp@debian.org>  Thu,  1 Mar 2007 15:14:08 +0100

base-installer (1.13.4sarge1) stable; urgency=low

  * Changes needed for ABI change in kernel image packages for Sarge 3.1r3.
    - Update ABI in kernel selection for alpha.
    - Use 2.6 kernel meta packages for powerpc because of added ABI in kernel
      image packages.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bosnian (bs.po) by Safir Secerovic
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Jens Seidel
    - Greek, Modern (1453-) (el.po) by quad-nrg.net
    - Spanish (Castilian) (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide
    - Persian (fa.po) by Arash Bijanzadehn
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by SZERVÁC Attila
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Sunjae park
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjørn Steensrud
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrişor
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Swedish (sv.po) by Daniel Nylander
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Mon, 31 Jul 2006 16:34:42 +0200

base-installer (1.13.4) unstable; urgency=low

  * Colin Watson
    - Use major version of target kernel rather than installation kernel to
      work out whether to use an initrd or (on powerpc) to run mkvmlinuz.
    - Update for 2.4.27-3 powerpc kernel repackaging.
  * Sven Luther
    - Removed mkvmlinuz explicit install, as all kernel-images (2.4.27-3,
      2.6.8-11 and 2.6.10-3) now depend on mkvmlinuz.

 -- Colin Watson <cjwatson@debian.org>  Sat,  5 Mar 2005 16:12:49 +0000

base-installer (1.13.3) unstable; urgency=low

  * Matt Kraai
    - Fix the spelling of "file system".
  * Joey Hess
    - Alpha updated to 2.4.27-2.
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Gallegan (gl.po) by Jacobo Tarrio
    - Italian (it.po) by Debian italian translation team
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Feb 2005 20:38:48 -0500

base-installer (1.13.2) unstable; urgency=low

  * Includes fix for variable substitution problem in translated template.
  * Updated translations: 
    - Lithuanian (lt.po) by Kęstutis Biliūnas

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Feb 2005 18:09:35 -0500

base-installer (1.13.1) unstable; urgency=low

  * Frans Pop
    - Add sanity check in postinst for empty COMPONENTS to guard against
      ugly and difficult to trace errors from debootstrap. Closes: #283510.
  * Colin Watson
    - Use chrp 2.4 kernel on all powerpc chrp* subarchitectures, even
      chrp-rs6k. The chrp-rs6k 2.4 kernel is to be removed.
    - Map lasat subarchitecture to r5k-lasat flavour on mipsel.
    - Recognise POWER4+ and PPC970FX cpuinfo entries as power4 systems.
      Closes: #290702
    - Only look at the first cpu line in cpuinfo on powerpc.
  * Updated translations:
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Dennis Stampfer
    - Italian (it.po) by Davide Meloni
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Jan 2005 11:01:12 +0000

base-installer (1.13) unstable; urgency=low

  * Bdale Garbee
    - fix up hppa clause in postinst to get kernel package name right for 2.6
  * Colin Watson
    - Install 2.4.27 apus kernels.
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Russian (ru.po) by Yuri Kozlov
    - Slovenian (sl.po) by Jure Čuhalev
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Oct 2004 18:23:34 +0100

base-installer (1.12) unstable; urgency=low

  * Frans Pop
    - Do not append '-speakup' to kernel version when setting
      trykernel for speakup. Closes: #275075

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Oct 2004 19:52:41 -0400

base-installer (1.11) unstable; urgency=low

  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 15:49:43 -0400

base-installer (1.10) unstable; urgency=low

  * Thiemo Seufer
    - Don't hardcode the kernel version for r5k-ip32 to 2.6.
    - Use more generic 2.6 kernel package versioning for mips/mipsel.


## base-installer 1.13.4sarge3

=== debian/changelog ===
base-installer (1.13.4sarge3) oldstable; urgency=low

  * Revert hack in last version as rootskel has now been updated for the
    kernels to be released with Sarge 3.1r7.

 -- Frans Pop <fjp@debian.org>  Tue, 29 May 2007 21:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: required
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Sven Luther <luther@debian.org>, dann frazier <dannf@debian.org>, Bdale Garbee <bdale@gag.com>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev
 
 Package: base-installer

=== debian/rules ===
#! /usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	$(MAKE) small
else
	$(MAKE) DEBUG=1
endif
	touch $@

clean:
	dh_testdir
	rm -f build-stamp
	$(MAKE) clean    
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install run-debootstrap usr/sbin

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdebconf -n
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install

## base-installer 1.15ubuntu17

=== kernel/Makefile ===
ARCHES = alpha amd64 arm hppa i386 ia64 m68k mips mipsel powerpc s390 sparc

test:
	@cd tests && \
	for x in $(ARCHES); do ./runtests "$$x"; done
	@rm -rf tests/chroot

=== debian/changelog ===
base-installer (1.15ubuntu17) hoary; urgency=low

  * Update Danish translation (thanks, Frederik Dannemare).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  6 Apr 2005 00:43:49 +0100

base-installer (1.15ubuntu16) hoary; urgency=low

  * Make apt-get use gpgv --ignore-time-conflict to avoid validation errors
    due to clock problems (Ubuntu #8496).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 18:49:42 +0100

base-installer (1.15ubuntu15) hoary; urgency=low

  * Update Greek translation (thanks, Giorgos Logiotatidis).
  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 17:22:53 +0100

base-installer (1.15ubuntu14) hoary; urgency=low

  * Add a post-base-installation hook: scripts in
    /usr/lib/post-base-installer.d/ will be run after the base system
    installation is complete.
  * Update Romanian translation (thanks, Ovidiu Damian).
  * Update Spanish translation (thanks, Enrique Matías Sánchez).
  * Update Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Mar 2005 15:46:10 +0100

base-installer (1.15ubuntu13) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update Hungarian translation (thanks, Gabor Burjan).
  * Update Indonesian translation (thanks, Yoppy Hidayanto).
  * Update Polish translation (thanks, Dominik Zabłotny).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:19:03 +0100

base-installer (1.15ubuntu12) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Herbert Straub).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 01:04:14 +0000

base-installer (1.15ubuntu11) hoary; urgency=low

  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 14:21:01 +0000

base-installer (1.15ubuntu10) hoary; urgency=low

  * Don't install mkvmlinuz on Pegasos, since that has yaboot support with
    Open Firmware version 2005.03.10-beta or later.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Mar 2005 11:16:22 +0000

base-installer (1.15ubuntu9) hoary; urgency=low

  * Provide target-base-system (i.e. base system installed in /target, also
    provided by casper).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 13:00:18 +0000

base-installer (1.15ubuntu8) hoary; urgency=low

  * Better version of get_resume_partition that protects against using swap
    files for RESUME= (thanks, Jeff Bailey; closes: Ubuntu #7474).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Mar 2005 17:27:59 +0000

base-installer (1.15ubuntu7) hoary; urgency=low

  * Work out the largest swap partition, if any, and use its devfs-mapped
    name as the value of RESUME= in /etc/mkinitrd/mkinitrd.conf.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  9 Mar 2005 05:19:23 +0000

base-installer (1.15ubuntu6) hoary; urgency=low

  * Fix syntax error in configure_apt.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Mar 2005 14:37:29 +0000

base-installer (1.15ubuntu5) hoary; urgency=low

  * Tweak kernel_update_list to list more general metapackages first, and
    stop listing kernel-image-*.
  * If the ideal kernel isn't available, just pick the first on the list
    rather than trying to match up kernel versions.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  7 Mar 2005 13:11:31 +0000

base-installer (1.15ubuntu4) hoary; urgency=low

  * Update Polish branding (thanks, Piotr Szotkowski).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Feb 2005 11:56:32 +0000

base-installer (1.15ubuntu3) hoary; urgency=low

  * Use linux-* kernels on hppa.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Jan 2005 15:26:58 +0000

base-installer (1.15ubuntu2) hoary; urgency=low

  * Enable debootstrap Release.gpg checking. Add matching
    base-installer/debootstrap/section/downrelsig template.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Jan 2005 18:18:26 +0000

base-installer (1.15ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
  * Fixed amd64-xeon kernel selection.
  * Fixed tests to pass for Ubuntu on all but sparc (no sparc64 tests yet).

 -- Colin Watson <cjwatson@canonical.com>  Sun, 16 Jan 2005 21:01:45 +0000

base-installer (1.15) experimental; urgency=low

  NOTE: not for sarge, needs rootskel 1.11
  * Colin Watson
    - Recognise POWER4+ and PPC970FX cpuinfo entries as power4 systems.
    - Only look at the first cpu line in cpuinfo on powerpc.
    - Add chrp_rs6k tests based on /proc/cpuinfo provided by Cajus
      Pollmeier.
    - Use backslash-continuations in tests to simplify future diffs.
    - Include "kernel-image-" stem in tests, to help with derivative
      distributions like Ubuntu that use a different stem.

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Jan 2005 15:41:53 +0000

base-installer (1.14ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
    - Note that the kernel selection test suite currently fails with our
      changes. This needs work upstream to support different kernel-image
      stems more easily.
  * Remove all the per-architecture defaults from
    base-installer/kernel/image-2.6, since they should no longer be needed.
  * Adapt kernel selection for supported architectures to use linux-*
    kernels.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 23 Dec 2004 22:56:14 +0000

base-installer (1.14) experimental; urgency=low

  NOTE: not for sarge, needs rootskel 1.11
  * Frans Pop
    - Add sanity check in postinst for empty COMPONENTS to guard against
      ugly and difficult to trace errors from debootstrap. Closes: #283510.
  * Joey Hess
    - Moved debian-installer/kernel/image, debian-installer/kernel/image-2.6,
      debian-installer/kernel/linux/initrd,
      debian-installer/kernel/linux/initrd-2.6 from rootskel.
  * Colin Watson


=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Sven Luther <luther@debian.org>, dann frazier <dannf@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 4.2), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev

Package: base-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, debootstrap-udeb, created-fstab, archdetect, di-utils-mapdevfs
Provides: kernel-installer, target-base-system
XB-Installer-Menu-Item: 65
Description: Install the base system
 This udeb is responsible for calling debootstrap and installing the
 base system.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #! /usr/bin/make -f
 
-build: build-stamp
+ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+tmp = $(CURDIR)/debian/base-installer
+
+build: build-stamp debian/templates
 build-stamp:
 	dh_testdir
 ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -10,22 +14,32 @@
 endif
 	touch $@
 
+debian/templates: debian/templates-arch
+	debian/templates-build.pl $(ARCH) < $< > $@
+
 clean:
 	dh_testdir
 	rm -f build-stamp
+	-rm -f kernel/tests/localudebs/*
 	$(MAKE) clean    
-	dh_clean
+	dh_clean debian/templates
 
 install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_install run-debootstrap usr/sbin
+	if [ -e "kernel/$(ARCH).sh" ]; then \
+		dh_installdirs usr/lib/base-installer; \
+		install -m644 "kernel/$(ARCH).sh" \
+		              $(tmp)/usr/lib/base-installer/kernel.sh; \
+	fi
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
 	dh_installdebconf -n
+	(echo ; cat debian/templates) >> debian/base-installer/DEBIAN/templates
 	dh_strip
 	dh_compress
 	dh_fixperms

## base-installer 1.20ubuntu7

=== debian/changelog ===
base-installer (1.20ubuntu7) breezy; urgency=low

  * Drop back to initrd-tools on hppa and ia64, where initramfs-tools
    doesn't quite work yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  4 Oct 2005 00:13:36 +0100

base-installer (1.20ubuntu6) breezy; urgency=low

  * Update fuzzy and missing translations from Rosetta (with some strings
    from Debian where available): Greek, Spanish, Finnish, French,
    Hungarian, Dutch, Brazilian Portuguese, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2005 21:13:40 +0100

base-installer (1.20ubuntu5) breezy; urgency=low

  * Control usplash installation by a template
    (base-installer/kernel/linux/extra-packages-2.6) so that it can be
    disabled for server installations.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Sep 2005 15:49:00 +0100

base-installer (1.20ubuntu4) breezy; urgency=low

  * Don't fall over if usplash doesn't exist (e.g. on powerpc).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Sep 2005 11:02:07 +0100

base-installer (1.20ubuntu3) breezy; urgency=low

  * Install usplash along with initramfs-tools.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Sep 2005 14:45:35 +0100

base-installer (1.20ubuntu2) breezy; urgency=low

  * Support configuring initramfs-tools rather than initrd-tools, and make
    that the default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2005 20:56:19 +0100

base-installer (1.20ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jun 2005 12:33:47 +0100

base-installer (1.20) unstable; urgency=low

  * dann frazier
    - Update arch_get_kernel_flavour() for ia64 so that it keys off of
      processor features instead of the family string.  This method should
      remain relatively static as new processors (and new kernels that
      can properly identify them) come out.  Specifically, use the mckinley
      flavor for any processor that supports the branchlong feature.  Only
      Itanium I chips do not support it.
  * Joey Hess
    - debootstrap (0.3.1) logs to /var/log/bootstrap.log in the target,
      so change debconf messages about log files to point to here. No
      provision is made for putting that log onto a virtual console.
    - Added progress and info templates for new debootstrap for downrelsig,
      downmainpkgs, releasesig, validrelsig, resolvebase, resolvereq,
      and checkingsizes. Did not bother with newbase, newrequired, and
      redundantbase since they're more like debugging messages.
    - Remove error template for notpredl, unknownloc, and interrupted, since
      these are internal errors that should not happen normally (and there
      are many other internal errors we do not translate).
    - Add error templates for nogetrelsig and unknownrelsig.
    - Remove debootstrap template for check_target and checkingsize,
      which are not used by debootstrap 0.3.1 anymore.
    - Improve run-debootstrap's warning handling, display warning on progress
      bar. However, this is untested, since debootstrap's warning code is
      a bit broken (bug filed).
    - Add warning template for the only currently useful warning, for retrying
      a failed download.
    - Build run-debootstrap with -Os and -fomit-frame-pointer.
    - Try to keep base system dependency issues from breaking the installer
      by passing --resolve-deps to debootstrap. Aj recommends we turn this
      back off before stable releases though.
    - Avoid some hardcoded paths.
    - Remove some unnecessary functions that just thunk to other arch-specific
      functions.
  * Christian Perrier
    - Minor change to templates: s/Release signed/Release file signed
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po) by Piarres Beobide
    - French (fr.po) by Christian Perrier
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Slovak (sk.po) by Peter Mann
    - Albanian (sq.po) by Elian Myftiu

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Jun 2005 02:35:36 -0400

base-installer (1.19ubuntu2) breezy; urgency=low

  * Install powerpc64-smp kernels instead of power3/power4.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jun 2005 13:04:43 +0100

base-installer (1.19ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Fix kernel selection on single-processor sparc systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  7 Jun 2005 14:26:42 +0100

base-installer (1.19) unstable; urgency=low

  * Colin Watson
    - Start run-debootstrap progress bar at the appropriate waypoint rather
      than going back to the start (closes: #277949).
    - In templates, say "install the base system" rather than "install
      Debian", and "the base system" rather than "the Debian base system",
      to help with derivative distribution branding.
    - Make apt-get use gpgv --ignore-time-conflict to avoid validation
      errors with apt 0.6 due to clock problems (Ubuntu #8496).
  * Matt Zimmerman
    - Create ubd devices in create_devices() if installing under UML
      (closes: #258307).
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po)
    - French (fr.po) by Christian Perrier
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Portuguese (pt.po) by Miguel Figueiredo
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Mon,  6 Jun 2005 12:57:37 +0100

base-installer (1.18) unstable; urgency=low

  * Colin Watson


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: base-installer
 XC-Package-Type: udeb
 Architecture: any
-Depends: ${shlibs:Depends}, mounted-partitions, debootstrap-udeb, created-fstab, archdetect, di-utils-mapdevfs
+Depends: ${shlibs:Depends}, mounted-partitions, debootstrap-udeb (>= 0.3.1), created-fstab, archdetect, di-utils-mapdevfs
 Provides: kernel-installer, target-base-system
 XB-Installer-Menu-Item: 65
 Description: Install the base system

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,13 @@
 clean:
 	dh_testdir
 	rm -f build-stamp
-	-rm -f kernel/tests/localudebs/*
 	$(MAKE) clean    
 	dh_clean debian/templates
 
-install: build
+test:
+	$(MAKE) -C kernel test
+
+install: build test
 	dh_testdir
 	dh_testroot
 	dh_clean -k

## base-installer 1.42ubuntu11

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,10 @@
 
 debian/templates: debian/templates-arch
 	debian/templates-build.pl $(ARCH) < $< > $@
+	# give the new templates file the same mtime as the input file, so
+	# that po2debconf doesn't decide that it needs to run
+	# debconf-updatepo
+	touch -mr $< $@
 
 clean:
 	dh_testdir
@@ -36,6 +40,8 @@
 		install -m644 "kernel/$(ARCH).sh" \
 		              $(tmp)/usr/lib/base-installer/kernel.sh; \
 	fi
+	dh_installdirs usr/lib/prebaseconfig.d
+	install -m755 prebaseconfig $(tmp)/usr/lib/prebaseconfig.d/90base-installer
 
 binary-arch: install
 	dh_testdir

## base-installer 1.42ubuntu14

=== debian/changelog ===
base-installer (1.42ubuntu14) dapper-proposed; urgency=low

  * Use the correct mirror for -security in the event of
    apt-setup/security_host being preseeded (LP: #306356).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Dec 2008 12:08:52 +0000

base-installer (1.42ubuntu13) dapper-proposed; urgency=low

  * Install linux-backports-modules-* as well as linux-* or linux-image-*.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Oct 2007 02:11:50 +0100

base-installer (1.42ubuntu12) dapper-updates; urgency=low

  * Backport from trunk (Frans Pop):
    - Check /var/lib/register-module for modules that should be included in
      the initrd and add them to the proper config files for the different
      initrd generators. Based on patch by Jurij Smakov, for which thanks.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jul 2006 12:51:08 +0100

base-installer (1.42ubuntu11) dapper; urgency=low

  * Backport from trunk (needed for netboot installs on clock-skewed
    machines):
    - Move 00IgnoreTimeConflict creation so it happens for any type of apt
      source. Other settings of --ignore-time-conflict should be removed
      from the rest of d-i eventually.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Apr 2006 17:34:59 +0100

base-installer (1.42ubuntu10) dapper; urgency=low

  * Run kernel_update_list before checking kernel overrides.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Apr 2006 08:52:22 +0100

base-installer (1.42ubuntu9) dapper; urgency=low

  * Update the kernel_update_list regex to match linux-server and
    linux-server-bigiron.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Apr 2006 18:54:45 +0100

base-installer (1.42ubuntu8) dapper; urgency=low

  * Strip comments from debian/templates-arch in output templates file.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Apr 2006 23:12:14 +0100

base-installer (1.42ubuntu7) dapper; urgency=low

  * Allow preseeding base-installer/kernel/override-image to force a given
    kernel to be used (closes: Malone #31474).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Apr 2006 23:32:39 +0100

base-installer (1.42ubuntu6) dapper; urgency=low

  * Backport from trunk:
    - Add PPC970MP (actually PPC970*) and POWER5 to the list of powerpc64
      systems (closes: #339283, http://launchpad.net/bugs/35116).
    - Don't consider powerpc64 kernels usable on powerpc.
  * Fix trailing backslashes in a couple of tests.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Mar 2006 10:01:17 +0000

base-installer (1.42ubuntu5) dapper; urgency=low

  * Write resume partition to /target/etc/mkinitramfs/conf.d/resume, rather
    than editing a conffile. Requires initramfs-tools 0.40ubuntu23.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Feb 2006 10:25:27 +0000

base-installer (1.42ubuntu4) dapper; urgency=low

  * Add support for -amd64-server kernels on amd64 and -server and
    -server-bigiron kernels on i386.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Feb 2006 09:37:11 +0000

base-installer (1.42ubuntu3) dapper; urgency=low

  * Backport from trunk (closes: Malone #30048):
    - Make apt-cdrom ignore time conflicts while verifying Release
      signatures (for those creating signed CDs).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Feb 2006 13:58:48 +0000

base-installer (1.42ubuntu2) dapper; urgency=low

  * Set up the default sources.list to look in -updates and -security (the
    latter from apt-setup/security_host) as well as the unadorned suite.
  * Look for linux-image-* as well as linux-* to make installs without
    restricted work better.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  9 Feb 2006 10:54:34 +0000

base-installer (1.42ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jan 2006 20:37:23 +0000

base-installer (1.42) unstable; urgency=low

  [ Frans Pop ]
  * Fix typo in template names.

  [ Colin Watson ]
  * If an initramfs generator fails to install and we're installing sarge,
    then attempt to fall back to initrd-tools (closes: #344371).

  [ Frans Pop ]
  * Alternative solution for falling back to initrd-tools for sarge installs.
  * Also support -486 kernel image flavours for i386 as introduced with 2.6.15.
    Reliable detection of 486 processors is not possible, so continue treating
    386 and 486 as equivalent even if 386 is no longer supported.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Sat,  7 Jan 2006 23:13:53 +0100

base-installer (1.41ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Set base-installer/kernel/linux/initramfs-generators default to
    initramfs-tools for all architectures.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  2 Jan 2006 00:44:18 +0000

base-installer (1.41) unstable; urgency=low

  [ Frans Pop ]
  * Add support for different initramfs generators, allowing different
    defaults per architecture. If there are multiple values, allow the
    user to select one (depending on priority).
  * Enable initramfs generation for hppa.

  [ Joey Hess ]
  * Rework initramfs templates, remove the clumsy "initramfs initrd"
    construct; the fact that it's an initramfs is essentially an
    implementation detail that users do not need to worry about.

  [ Updated translations ]
  * Catalan (ca.po) by Guillem Jover
  * Czech (cs.po) by Miroslav Kure


## base-installer 1.70ubuntu7

=== kernel/Makefile ===
ARCHES = alpha amd64 arm hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 sparc

test:
	@STATUS=0; \
	cd tests && \
	for x in $(ARCHES); do ./runtests "$$x" || STATUS=1; done; \
	exit "$$STATUS"

=== debian/changelog ===
base-installer (1.70ubuntu7) feisty; urgency=low

  * Use powerpc64 kernels on PS3 systems; the separate ps3 kernels have gone
    away.
  * Add PS3 tests.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2007 15:07:05 +0100

base-installer (1.70ubuntu6) feisty; urgency=low

  * Add linux-generic and linux-ps3 to crazy kernel_update_list metapackage
    ordering hack.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Mar 2007 16:45:16 +0000

base-installer (1.70ubuntu5) feisty; urgency=low

  * Install linux-ps3 on PS3 systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Feb 2007 19:23:48 +0000

base-installer (1.70ubuntu4) feisty; urgency=low

  * Fix VIA CPU family detection (LP: #86270).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Feb 2007 14:05:02 +0000

base-installer (1.70ubuntu3) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Feb 2007 09:28:35 +0000

base-installer (1.70ubuntu2) feisty; urgency=low

  * Backport from trunk:
    - Fix processor detection on SMP i386 and amd64 systems if booting with
      an SMP-capable kernel (LP: #79109; test case taken from that bug).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jan 2007 17:02:42 +0000

base-installer (1.70ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use the Ubuntu keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
    - Strip comments from debian/templates-arch in output templates file.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Dec 2006 11:28:05 +0000

base-installer (1.70) unstable; urgency=low

  * Add support for selecting prep kernels (powerpc). Closes: #386265.
    Thanks to Sven Luther for the patch.
  * Create new testcase for powerstack II prep boxes based on cpuinfo
    provided by Sven Luther.
  * Only offer initramfs generator selection at low priority as yaird is no
    longer a really logical option.

  [ Updated translations ]
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Tue,  5 Dec 2006 23:24:58 +0100

base-installer (1.69) unstable; urgency=low

  [ Thiemo Seufer ]
  * Add support for qemu on mips/mipsel, thanks to Aurelien Jarno.

  [ Martin Michlmayr ]
  * nslu2 uses the ixp4xx kernel now - update the test suite.

  [ Colin Watson ]
  * Use log-output for hook scripts rather than a temporary file.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 15:04:49 +0100

base-installer (1.68ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use the Ubuntu keyring.
    - Enable the restricted component by default.
    - Set up the default sources.list to look in -updates and -security (the
      latter from apt-setup/security_host) as well as the unadorned suite.
    - Use Ubuntu kernel image names.
    - Allow preseeding base-installer/kernel/override-image to force a given
      kernel to be used.
    - Write out the resume partition as a UUID if possible.
    - Strip comments from debian/templates-arch in output templates file.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  8 Nov 2006 14:27:23 -0800

base-installer (1.68) unstable; urgency=low

  [ Frans Pop ]
  * Clean up defaults for kernel/image-2.6. All were obsolete and thus
    obviously no longer needed.

  [ Joey Hess ]
  * Clean up defaults for kernel/image. All but i386 were obsolete and thus
    obviously no longer needed, and I'm sure we don't need a default 2.4
    kernel for i386 any longer.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * German (de.po) by Jens Seidel
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Romanian (ro.po) by Eddy Petrișor
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 13:53:47 +0200

base-installer (1.67) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Always use template base-installer/kernel/linux/extra-packages, even if
    base-installer/kernel/linux/extra-packages-$kernelver exists.
    Closes: #383896.

  [ dann frazier ]
  * Drop SMP detection on IA64. IA64 -smp flavours have been dropped.
    As of 2.6.17, all Debian IA64 kernels are SMP.

  [ Colin Watson ]
  * Mark ${ERROR} in base-installer/debootstrap/fallback-error as
    untranslatable.
  * Suppress a spurious "dmsetup: not found" error.

  [ Sven Luther ]
  * [powerpc] Added support for IBM Power5+ cpus.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña


=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Sven Luther <luther@debian.org>, dann frazier <dannf@debian.org>, Bdale Garbee <bdale@gag.com>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/base-installer

Package: base-installer
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, debootstrap-udeb (>= 0.3.1), created-fstab, archdetect, di-utils-mapdevfs, di-utils (>= 1.16), rootskel (>= 1.19)
Provides: kernel-installer
XB-Installer-Menu-Item: 65
Description: Install the base system
